Skip to main content
POST
/
api
/
v1
/
cards-program
/
transactions
/
:transactionId
/
disputes
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/transactions/txn_1a2b3c4d5e6f7g8h/disputes' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "textEvidence": "I did not authorize this transaction. The charge appeared on my card without my knowledge. I believe this is fraudulent activity."
}'
{
  "success": true,
  "disputeId": "dsp_9z8y7x6w5v4u3t2s",
  "transactionId": "txn_1a2b3c4d5e6f7g8h",
  "status": "submitted",
  "createdAt": "2024-01-17T10:30:00Z"
}

Params

transactionId
string
required
The unique transaction identifier to dispute

Body

textEvidence
string
required
Textual evidence describing the reason for the dispute

Response

success
boolean
Indicates whether the call was successful
disputeId
string
The unique dispute identifier
transactionId
string
The transaction ID being disputed
status
string
Dispute status: submitted, under_review, won, lost, or needs_evidence
createdAt
string
ISO 8601 timestamp when the dispute was created
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/transactions/txn_1a2b3c4d5e6f7g8h/disputes' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "textEvidence": "I did not authorize this transaction. The charge appeared on my card without my knowledge. I believe this is fraudulent activity."
}'
{
  "success": true,
  "disputeId": "dsp_9z8y7x6w5v4u3t2s",
  "transactionId": "txn_1a2b3c4d5e6f7g8h",
  "status": "submitted",
  "createdAt": "2024-01-17T10:30:00Z"
}

Error Responses

{
  "success": false,
  "error": "Unauthorized. Please check your authentication credentials."
}

Common Dispute Reasons

  • Fraudulent transaction: Unauthorized charge
  • Product not received: Merchant failed to deliver goods or services
  • Product not as described: Item significantly different from description
  • Duplicate charge: Same transaction charged multiple times
  • Subscription cancelled: Charged after subscription cancellation